WayloAIWaylo Docs
APIReferenceDestinations

Rotate signing secret

POST
/destinations/{id}/rotate-secret

Replace the signing secret. The new one is in the response and signs every delivery sent from now on.

Access: workspace_admin · API key destinations:write

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Path Parameters

id*string

Header Parameters

Authorization*string

Your API key.

Response Body

Rotated, with the new signing secret

application/json
  1. response
destination*
signingSecret*string

Shown once. Not retrievable afterwards.

Example Request
curl -X POST 'https://api.poc.app.waylovoice.ai/destinations/string/rotate-secret' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
{  "destination": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",    "name": "string",    "url": "string",    "credentialId": "f568fec0-10b6-4b94-9daf-e62c50c9bf3e",    "credentialName": "string",    "credentialActive": true,    "sendTestCalls": true,    "instructions": "string",    "active": true,    "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",    "createdByUserName": "string",    "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e",    "updatedByUserName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "signingSecret": "string"}